请选择 进入手机版 | 继续访问电脑版

NX二次开发

 找回密码
 立即注册
查看: 96|回复: 0

[求助] UF_MODL_create_curve_mesh 函数求助

[复制链接]

1

主题

4

帖子

23

积分

潜龙勿用

Rank: 1

积分
23
发表于 2018-11-30 15:39:00 | 显示全部楼层 |阅读模式
写了一段通过曲线组的代码(如下),总是报错,请大神帮帮忙,不胜感激。

  1. vector<tag_t> P_Splines;
  2. int num_point = 10;
  3. UF_CURVE_pt_slope_crvatr_s *point_data1 = new UF_CURVE_pt_slope_crvatr_s[num_point];
  4. for(int i = 0;i<num_point;i++)
  5. {                                       
  6. for(int j = 0; j < num_point; j++)
  7. {                                                        
  8.   point_data1[j].point[0] = i;
  9.   point_data1[j].point[1] = 0;
  10.   point_data1[j].point[2] = j;
  11.   point_data1[j].slope_type = UF_CURVE_SLOPE_NONE;
  12.   point_data1[j].crvatr_type = UF_CURVE_CRVATR_NONE;                                                        
  13. }
  14. point_data1[0].slope_type = UF_CURVE_SLOPE_AUTO;
  15. point_data1[num_point-1].slope_type = UF_CURVE_SLOPE_AUTO;        
  16. tag_t Spline;
  17. UF_CALL(UF_CURVE_create_spline_thru_pts(3,0,num_point,point_data1,NULL,1,&Spline));
  18. P_Splines.push_back(Spline);
  19. }
  20. delete [] point_data1;
  21. vector<tag_t> C_Splines;
  22. UF_CURVE_pt_slope_crvatr_s *point_data2 = new UF_CURVE_pt_slope_crvatr_s[num_point];
  23. for(int i = 0;i<num_point;i=i+3)
  24. {                                       
  25. for(int j = 0; j < num_point; j++)
  26. {                                                        
  27.   point_data2[j].point[0] = j;
  28.   point_data2[j].point[1] = 0;
  29.   point_data2[j].point[2] = i;
  30.   point_data2[j].slope_type = UF_CURVE_SLOPE_NONE;
  31.   point_data2[j].crvatr_type = UF_CURVE_CRVATR_NONE;                                                        
  32. }
  33. point_data2[0].slope_type = UF_CURVE_SLOPE_AUTO;
  34. point_data2[num_point-1].slope_type = UF_CURVE_SLOPE_AUTO;        
  35. tag_t Spline;
  36. UF_CALL(UF_CURVE_create_spline_thru_pts(3,0,num_point,point_data2,NULL,1,&Spline));
  37. C_Splines.push_back(Spline);                                       
  38. }
  39. delete [] point_data2;
  40. int num_section = C_Splines.size();
  41. UF_STRING_t section;
  42. UF_STRING_p_t pSection = §ion;
  43. UF_MODL_init_string_list(pSection);
  44. UF_MODL_create_string_list(num_section, num_section, pSection);
  45. pSection->num = num_section;
  46. //for(int i = 0; i < 2; i++)
  47. for(int i = 0; i < num_section; i++)
  48. {
  49. pSection->string[i] = 1;
  50. pSection->dir[i] = 1;
  51. pSection->id[i] = C_Splines[i];
  52. }
  53. num_section = P_Splines.size();
  54. UF_STRING_t csection;
  55. UF_STRING_p_t cSection = &csection;
  56. UF_MODL_init_string_list(cSection);
  57. UF_MODL_create_string_list(num_section, num_section, cSection);
  58. //cSection->
  59. cSection->num = num_section;
  60. //for(int i = 0; i < 2; i++)
  61. for(int i = 0; i < num_section; i++)
  62. {
  63. cSection->string[i] = 1;
  64. cSection->dir[i] = 1;
  65. cSection->id[i] = P_Splines[i];
  66. }
  67. UF_STRING_t ssection;
  68. UF_STRING_p_t sSection = &ssection;
  69. UF_MODL_init_string_list(sSection);
  70. UF_MODL_create_string_list(1, 1, sSection);
  71. sSection->num = 0;
  72. int body_type = 0;
  73. UF_FEATURE_SIGN sign = UF_NULLSIGN;
  74. double tol[3];tol[0] = 0.025;tol[1] = 0.5;tol[2] = 0.025;        
  75. tag_t faceid[4]={0, 0,0, 0};
  76. int flag[4] = {0,0,0,0};
  77. tag_t sheet = 0;
  78. int end_point = 0,emphasis = 1;
  79. UF_CALL(UF_MODL_create_curve_mesh(pSection,cSection,sSection,&end_point,&emphasis,&body_type,0,sign,tol ,faceid ,flag ,&sheet));
复制代码


错误提示如下图所示:
pic.jpg


回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|Archiver|手机版|小黑屋| ( 蜀ICP备16014681号

GMT+8, 2018-12-19 14:01 , Processed in 0.083782 second(s), 29 queries .

Powered by www.nxopen.cn

© 2001-2013 nxopen.cn

快速回复 返回顶部 返回列表